Bug 603303 - Fail to convert from vmdk to qcow
Summary: Fail to convert from vmdk to qcow
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: qemu-kvm   
(Show other bugs)
Version: 6.0
Hardware: All
OS: Linux
low
medium
Target Milestone: rc
: ---
Assignee: Kevin Wolf
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 580953
TreeView+ depends on / blocked
 
Reported: 2010-06-12 09:14 UTC by zhanghaiyan
Modified: 2010-11-11 16:22 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-11 16:22:09 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description zhanghaiyan 2010-06-12 09:14:16 UTC
Description of problem:
Fail to convert from vmdk to qcow, while to cow/qcow2 succeed

Version-Release number of selected component (if applicable):
- qemu-img-0.12.1.2-2.73.el6.x86_64
- qemu-kvm-0.12.1.2-2.73.el6.x86_64

How reproducible:
Always

Steps to Reproduce:
1. # qemu-img convert -O qcow /var/lib/libvirt/images/ESX4-RHEL3U9-i386.vmdk /var/lib/libvirt/images/ESX4-RHEL3U9-i386/ESX4-RHEL3U9-i386.qcow

  
Actual results:
output:
qemu-img: Could not open '/var/lib/libvirt/images/ESX4-RHEL3U9-i386/ESX4-RHEL3U9-i386.qcow'

Expected results:
Null output, and convert successfully 

Additional info:
Both cow/qcow2 succeeded without error info
# qemu-img convert -O qcow2 /var/lib/libvirt/images/ESX4-RHEL3U9-i386.vmdk /var/lib/libvirt/images/ESX4-RHEL3U9-i386/ESX4-RHEL3U9-i386.qcow2
# qemu-img convert -O cow /var/lib/libvirt/images/ESX4-RHEL3U9-i386.vmdk /var/lib/libvirt/images/ESX4-RHEL3U9-i386/ESX4-RHEL3U9-i386.cow

Comment 2 RHEL Product and Program Management 2010-06-12 09:33:05 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.

Comment 3 RHEL Product and Program Management 2010-07-15 14:33:29 UTC
This issue has been proposed when we are only considering blocker
issues in the current Red Hat Enterprise Linux release. It has
been denied for the current Red Hat Enterprise Linux release.

** If you would still like this issue considered for the current
release, ask your support representative to file as a blocker on
your behalf. Otherwise ask that it be considered for the next
Red Hat Enterprise Linux release. **

Comment 4 Kevin Wolf 2010-07-23 09:07:22 UTC
Can you please run qemu-img under strace to see where it fails?

Comment 6 releng-rhel@redhat.com 2010-11-11 16:22:09 UTC
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.